body{
    margin-left:auto;
    margin-right: auto;
    max-width: 600px;
    overflow-x: hidden;
    background-color : black;
    border : solid 1px white;

}

#container{
    overflow-x: hidden;
    position: relative;

}
#fond{
    position: relative;
    background-position-x: 0px;
    background-repeat: no-repeat;
    background-image : url(./images/fond2.png);
    width :500px;
    height: 900px;
    animation-name: translation2 ;
    animation-duration: 2s;
    animation-fill-mode: forwards;

}

#cercle{
    left: 100px;
    position: absolute;
    top: 186px;
    background-size:cover;
    background-image : url(./images/cercle.png);
    width: 300px;
    height: 300px;
    animation-name: cercleRotate;
    animation-duration: 400s;
    animation-fill-mode: forwards;

}
#btnIndex{
    position: absolute;
    background-size: cover;
    width: 180px;
    height: 180px;
    left : 450px;
    top: 10px;
    overflow: visible   ;
    border-radius : 10px;
    background-repeat: no-repeat;
    background-image: url(./images/index.png);
    animation : chuteIcoHoraires 5.5s forwards;
}
#tram,#proximo,#flexo,#chrono{
    display : flex ;
    flex-wrap :  wrap ;
    height: max-content;
    margin : 5px;
  
}

#btnHoraires{
position: absolute;
background-size: cover;
width: 180px;
height: 180px;
left : 640px;
top: 10px;
overflow: visible   ;
border-radius : 10px;
background-repeat: no-repeat;
background-image: url(./images/icoHoraires01.png);
animation : chuteIcoHoraires 5s forwards;


}
#btnHoraires:hover{
    background-image: url(./images/icoHoraires.png);
}
.active{    background-image: url(./images/icoHoraires.png)!important;


}

.active2{ background-image : url(./images/icoPlan02.png)!important;}
.active3{ background-image : url(./images/icoProchain02.png)!important;}


#terminus{
    position : absolute;
    left : 0px;
    bottom : 0px;

}
#direction{
    position : absolute;
    cursor: pointer;
    font-size: 10px;
    font-weight: bold;
    z-index: 101!important;
    align-items: center;
    border-radius : 10px;
    border : 1px #289bec solid;
    background-color: #289aeccc;
    width: 100%;
    padding :5px;
    height: 35px;
    left : 0px;
    top : -0px;
    line-height: 35px;
    text-align: center;
    color : white ;
    border-top : 0px;
    border-bottom : 0px;
    
}
#btnSuivantHoraires{
    position : absolute;
    left : 480px;
    bottom : 10px;
    border : 1px solid #289aeccc;
    height: 40px;
    border-radius: 10px;
    color : white;
    line-height: 40px;
    padding :5px;

}
#btnPrecedantHoraires:hover,#btnSuivantHoraires:hover{
    background-color:#289aeccc;
    transition: 0.5s;
    cursor: pointer;
}
#btnPrecedantHoraires{
    left : 30px;
    bottom : 10px;
    position : absolute;
    color:white;
    border-radius : 10px;
    border : 1px solid #289aeccc;
    height: 40px;
    line-height: 40px;
    padding :5px;

}
#btnMap{
    position: absolute;
    background-size: cover;
    width: 180px;
    height: 180px;
    top : 200px;
    left : 450px;
    overflow: visible   ;
    border-radius : 10px;
    background-repeat: no-repeat;
    background-image: url(./images/icoPlan01.png);
    animation-name : chuteIcoPlan ;
    animation-duration: 4s;
    animation-fill-mode: forwards;
    animation : chuteIcoPlan 3s forwards;
    }
    #btnMap:hover{
        background-image: url(./images/icoPlan02.png);
    }
    .lienLigne:hover{
       
        cursor: pointer;
    }


    .circle {
       
    
        margin-left : 10px;
        display : flex; 
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.459);
        line-height: 30px;
        justify-content: center;
        color : white; 
        font-weight: bold;
        width: 30px;
        height :30px;
        border: solid white 1px;
        border-radius : 100%;
        font-size : 16px;
        font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;;
    }
    #cadreLigne{
        z-index : 100 ;
        overflow: hidden;
        width: 600px;
        height: 232px;
        position: absolute;
        left : 316px;
        border-bottom: 3px solid white;
        // animation-name : onglet ;
        // animation-duration : 1s;
        // animation-fill-mode: forwards;
        opacity: 0;
    }

    .sousAnimYellow{
        display : none;
        position: absolute;
        background-size: 91%;
        width: 250px;
        height: 250px;
        left : 425px;
        top: 119px;
        overflow: visible   ;
        border-radius : 10px;
        background-repeat: no-repeat;
        background-image: url(./images/jaune.png);
  

    }

#mapid { 
    display : none;
    left: 55px;
    height: 450px;
    width: 500px;
    top: 119px;
}
#btnRetourPlan{
        z-index: 100;
        align-items: center;
        border-radius : 10px;
        border : 1px #0270bc solid;
        width: 150px;
        height: 45px;
        left : 225px;
        top : 0px;
        position: absolute;
        line-height: 45px;
        text-align: center;
        color : white ;

}
    #modalPlan{
        display : none;
        flex-flow: row-reverse wrap;

        background-color: rgba(0, 0, 0, 0.822);
        z-index: 10;
        position: absolute;
        left : 0px ;
        top : 100px;
        width: 100%;
        height: 80vh;

    }
    #modalHoraires{
        display : flex;
        flex-flow: row-reverse wrap;
        display : none;
        background-color: rgba(0, 0, 0, 0.822);
        z-index: 10;
        position: absolute;
        left : 0px ;
        top : 100px;
        width: 100%;
        height: 80vh;

    }
    #btnRetourHoraires:hover{
        cursor: pointer;
        transition : 0.5s ease-in-out;
        background-color:  #0270bc;

    }
    #btnRetourPlan:hover{
        cursor: pointer;
        transition : 0.5s ease-in-out;
        background-color:  #0270bc;

    }


    #liste1{
        z-index: 9;
        padding-top : 40px;
        width: 400px;
        height: max-content;
        color : white;
        font-weight: bold;
        font-size: 10px;
        list-style : none;
    }
    #liste2{
        padding-top : 40px;

        z-index: 9;
        list-style : none;
        width: max-content;
        height: max-content;
        color : white;
        font-weight: bold;
        font-size: 10px;
    }


    .icoActive{
        border : 3px yellow solid;
    }   
    #btnRetourHoraires{
        z-index: 100;
        align-items: center;
        border-radius : 10px;
        border : 1px #0270bc solid;
        width: 150px;
        height: 45px;
        left : 225px;
        bottom : 0px;
        position: absolute;
        line-height: 45px;
        text-align: center;
        color : white ;


    }
    .sousAnimRed{
        display : none;
        position: absolute;
        background-size: 91%;
        width: 250px;
        height: 250px;
        left : 425px;
        top: 119px;
        overflow: visible   ;
        border-radius : 10px;
        background-repeat: no-repeat;
        background-image: url(./images/rouge.png);
    
}

.sousAnimBlue{
    display : none;
    position: absolute;
    background-size: 91%;
    width: 250px;
    height: 250px;
    left : 425px;
    top: 119px;
    overflow: visible   ;
    border-radius : 10px;
    background-repeat: no-repeat;
    background-image: url(./images/bleu.png);

}
    #fleche{
        background-image: url(./images/fleche.png);
        width: 100px;
        height: 30px;
        margin-right: auto;
        margin-left : auto;
        background-size: cover;
        background-size: 40%;
        background-repeat: no-repeat;
        background-color : rgba(184, 174, 174, 0.856);
        border-bottom-left-radius: 30px;
        border-bottom-right-radius :30px;
        border : solid white 3px;
        border-top : 0px;
        background-position: center;
        position: absolute;
        left: 250px;
        top: 232px;
        z-index: 10;
        border-top : 3px rgba(184, 174, 174, 0.856) solid;
        opacity : 0;
        // animation-name : fleche ; 
        // animation-duration : 1s;
        // animation-fill-mode: forwards;
    }



#btnSuivant{
position: absolute;
background-size: cover;
width: 180px;
height: 180px;
top : 200px;
left : 640px;
overflow: visible   ;
border-radius : 10px;
background-repeat: no-repeat;
background-image: url(./images/icoProchain01.png);
animation : chuteIcoSuivant 4s forwards;
        
}
#btnSuivant:hover{
background-image: url(./images/icoProchain02.png);
}
   
#logoTag{
    background-image : url(./images/tag.png);
    background-size : cover;
    background-repeat: no-repeat;
    background-size : 70%;
    width: 300px;
    height: 100px;
    position: absolute;
    top :10px;
    left: 530px;
    animation: fadein 7s;
}

.carre {
    // margin-left :  auto;
    // margin-right :  auto;
    display : flex; 
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.459);
    line-height: 30px;
    justify-content: center;
    color : white; 
    font-weight: bold;
    max-width: 50px;
    min-width: 35px;
    height :30px;
    padding-left : 3px;
    padding-right : 3px;
    border: solid white 1px;
    font-size : 16px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;;
}
#modHoraire{
    display: flex;
    flex-flow: column wrap;
    position: absolute;
    top: 0px;
    left :0px;
    width: 600px;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.801);
    padding : 20px;
    border-radius: 15px;
}

@keyframes fadein {
    0% { opacity: 0; }
    70%  { opacity: 0; }
    100%  { opacity: 1; }

}

@keyframes cercleRotate{
    0%{ top : rotate(0deg);}
    1%{ transform: rotate(180deg);}
    100%{transform: rotate(3600deg);}

}            

@keyframes chuteIcoHoraires{
    0%{ top : -400px;}
    50%{top : -400px;}
    100%{top : 140px;}

}            
@keyframes chuteIcoHoraires2{
    0%{ top : -400px;}
    50%{top : -400px;}
    100%{top : 119px;}

}       
@keyframes chuteIcoPlan{
    0%{ top : -190px;}
    50%{ top : -190px;}
    100%{ top : 330px;}

} 
@keyframes chuteIcoSuivant{
    0%{ top : -190px;}
    50%{ top : -190px;}
    100%{ top : 330px;}


}            

@keyframes onglet{
    0%{ height : 232px;}
    100%{ height : 65px;}
}      
@keyframes fleche{
    0%{ top : 232px;}
    100%{ top : 65px;}
}
@keyframes ongletOvert{
    0%{ top : 65px;}
    100%{ top : 232px;}  
}      
@keyframes flecheOuver{
    0%{ top : 65px;}
    100%{ top : 232px;}      
}
@keyframes flecheRota{
    0%{ transform: rotate(0deg);}
    100%{ transform: rotate(180deg);}
}     

@keyframes translation2{
    0%{ left : 0px;}
    50%{ left : 0px;}
    100%{left : -316px;}
}            

